Saltar para o conteúdo principal
GET
/
public
/
v1
/
campaign-service
/
campaigns
/
{campaign-id}
Get Campaign By Id
curl --request GET \
  --url https://api.topsort.com/public/v1/campaign-service/campaigns/{campaign-id} \
  --header 'Authorization: Bearer <token>'
{
  "campaignId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "marketplaceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "name": "<string>",
  "startDate": "2023-11-07T05:31:56Z",
  "endDate": "2023-11-07T05:31:56Z",
  "isActive": true,
  "isSmart": true,
  "campaignType": "manual",
  "status": "approved",
  "createdAt": "2023-11-07T05:31:56Z",
  "chargeType": "CPM",
  "externalVendorId": "<string>",
  "adFormat": "listing",
  "isAutoTrigger": true,
  "vendorId": "<string>",
  "walletId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "bidCount": 123,
  "budget": {
    "amount": 123,
    "amountRemaining": 123,
    "amountCarryover": 123,
    "amountUsed": 123,
    "type": "daily"
  },
  "statusUpdatedBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "campaignBehaviorData": "<string>",
  "campaignBehaviorDataByDay": "<string>",
  "exclusivityPrice": 123,
  "targetRoas": 123,
  "externalCampaignId": "<string>",
  "autobiddingObjective": "impressions",
  "promotionType": {
    "bannerAssets": [
      {
        "dimensions": {
          "width": 123,
          "height": 123
        },
        "url": "<string>",
        "contentType": "image/png",
        "size": 123,
        "assetId": "asset_01j713j64yfsvtj4bs3ccpy5ca",
        "content": {},
        "jsonTemplateId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
      }
    ],
    "slotId": "<string>",
    "adFormat": "<string>",
    "deviceType": "desktop"
  }
}

Autorizações

Authorization
string
header
obrigatório

A valid API key generated in Topsort's UI.

Parâmetros de caminho

campaign-id
string<uuid>
obrigatório

The ID of the campaign.

Resposta

Successful Response

The campaign model.

campaignId
string<uuid>
obrigatório

The ID of the campaign.

marketplaceId
string<uuid>
obrigatório

The ID of the marketplace.

name
string
obrigatório

The name of the campaign.

Minimum string length: 1
Exemplo:

"Bola-Bola Ad campaign"

startDate
string<date-time>
obrigatório

The starting date of the campaign.

endDate
string<date-time>
obrigatório

The end date of the campaign.

isActive
boolean
obrigatório

Whether this campaign is active.

isSmart
boolean
obrigatório

Whether this campaign is "smart".

campaignType
enum<string>
obrigatório

The bidding method for the campaign.

Opções disponíveis:
manual,
autobidding,
exclusive
status
enum<string>
obrigatório

Represents the review status of a banner campaign.

Opções disponíveis:
approved,
pending,
rejected
createdAt
string<date-time>
obrigatório

When was this campaign created.

chargeType
obrigatório

Campaign charge type.

CPM: cost per mille impressions CPC: cost per click CPA: cost per action. CPA reflects the total cost to achieve a conversion.

Opções disponíveis:
CPM,
CPC,
CPA
externalVendorId
string
obrigatório
obsoleto

The ID of the vendor. Deprecated. Use vendor_id instead.

Minimum string length: 1
adFormat
enum<string>
obrigatório

The ad format of the campaign. Can be listing or banner.

Opções disponíveis:
listing,
banner,
sponsored_brand,
exclusive_listing,
exclusive_banner,
travel_listing,
flight_listing
Exemplo:

"listing"

isAutoTrigger
boolean
obrigatório

Whether the campaign is auto-triggered.

vendorId
string
obrigatório

The ID of the vendor.

Minimum string length: 1
walletId
string<uuid>
obrigatório

The uuid of the wallet to be used with this campaign.

bidCount
integer
obrigatório
obsoleto

The amount of active bids associated with this campaign. This field is deprecated and will be set to 0 once the notice period is over.

budget
Budget · object

The budget assigned to the campaign.

statusUpdatedBy
string<uuid> | null

The ID of the user who reviewed the campaign. If it's null and the status is not "pending" then it means this campaign has autoapproval status.

campaignBehaviorData
string | null
obsoleto

Deprecated. This field is always null. For behavioral data use reporting service.

campaignBehaviorDataByDay
string | null
obsoleto

Deprecated. This field is always null. For behavioral data use reporting service.

exclusivityPrice
integer | null

Daily price for an exclusive campaign, can only be set if a campaign is exclusive

targetRoas
number | null

The target return on ad spend (ROAS) for this campaign. This is only applicable for autobidding listing campaigns.

externalCampaignId
string | null

The external ID of the campaign in the marketplace. Must be unique per marketplace and format combination.

autobiddingObjective
enum<string> | null

The autobidding objective for the campaign.

Opções disponíveis:
impressions,
clicks,
conversions,
revenue
promotionType
BannerAd · object
obsoleto

Deprecated. Use adFormat field instead and format properties inside bids. The promotion type and attributes. Ad format must set to 'banner' for exclusive campaigns.